Package icyllis.arc3d.core

# Enum Class ColorSpace.Named

java.lang.Object
java.lang.Enum<ColorSpace.Named>
icyllis.arc3d.core.ColorSpace.Named

All Implemented Interfaces:
  `Serializable`, `Comparable<ColorSpace.Named>`, `Constable`

Enclosing class:
  `ColorSpace`

public static enum ColorSpace.Named extends Enum<ColorSpace.Named>

List of common, named color spaces. A corresponding instance of `ColorSpace` can be obtained by calling `ColorSpace.get(Named)`:

     ColorSpace cs = ColorSpace.get(ColorSpace.Named.DCI_P3);

The properties of each color space are described below (see `sRGB` for instance). When applicable, the color gamut of each color space is compared to the color gamut of sRGB using a CIE 1931 xy chromaticity diagram. This diagram shows the location of the color space's primaries and white point.

See Also:
  - `ColorSpace.get(Named)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACES`
  `RGB` color space ACES standardized as SMPTE ST 2065-1:2012.
  `ACESCG`
  `RGB` color space ACEScg standardized as Academy S-2014-004.
  `ADOBE_RGB`
  `RGB` color space Adobe RGB (1998).
  `BT2020`
  `RGB` color space BT.2020 standardized as Rec.
  `BT709`
  `RGB` color space BT.709 standardized as Rec.
  `CIE_LAB`
  `Lab` color space CIE L*a*b*.
  `CIE_XYZ`
  `XYZ` color space CIE XYZ.
  `DCI_P3`
  `RGB` color space DCI-P3 standardized as SMPTE RP 431-2-2007.
  `DISPLAY_P3`
  `RGB` color space Display P3 based on SMPTE RP 431-2-2007 and IEC 61966-2.1:1999.
  `EXTENDED_SRGB`
  `RGB` color space scRGB-nl standardized as IEC 61966-2-2:2003.
  `LINEAR_EXTENDED_SRGB`
  `RGB` color space scRGB standardized as IEC 61966-2-2:2003.
  `LINEAR_SRGB`
  `RGB` color space sRGB standardized as IEC 61966-2.1:1999.
  `NTSC_1953`
  `RGB` color space NTSC, 1953 standard.
  `PRO_PHOTO_RGB`
  `RGB` color space ProPhoto RGB standardized as ROMM RGB ISO 22028-2:2013.
  `SMPTE_C`
  `RGB` color space SMPTE C.
  `SRGB`
  `RGB` color space sRGB standardized as IEC 61966-2.1:1999.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ColorSpace.Named`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ColorSpace.Named[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SRGB

    public static final ColorSpace.Named SRGB

    `RGB` color space sRGB standardized as IEC 61966-2.1:1999.

    Chromaticity | Red | Green | Blue | White point
    --- | --- | --- | --- | ---
    x | 0.640 | 0.300 | 0.150 | 0.3127
    y | 0.330 | 0.600 | 0.060 | 0.3290
    Property | Value
    Name | sRGB IEC61966-2.1
    CIE standard illuminant | D65
    Opto-electronic transfer function (OETF) | \(\begin{equation} C_{sRGB} = \begin{cases} 12.92 \times C_{linear} invalid input: '&' C_{linear} \lt 0.0031308 \\\ 1.055 \times C_{linear}^{\frac{1}{2.4}} - 0.055 invalid input: '&' C_{linear} \ge 0.0031308 \end{cases} \end{equation}\)
    Electro-optical transfer function (EOTF) | \(\begin{equation} C_{linear} = \begin{cases}\frac{C_{sRGB}}{12.92} invalid input: '&' C_{sRGB} \lt 0.04045 \\\ \left( \frac{C_{sRGB} + 0.055}{1.055} \right) ^{2.4} invalid input: '&' C_{sRGB} \ge 0.04045 \end{cases} \end{equation}\)
    Range | \([0..1]\)

    sRGB

  - ### LINEAR_SRGB

    public static final ColorSpace.Named LINEAR_SRGB

    `RGB` color space sRGB standardized as IEC 61966-2.1:1999.

    Chromaticity | Red | Green | Blue | White point
    --- | --- | --- | --- | ---
    x | 0.640 | 0.300 | 0.150 | 0.3127
    y | 0.330 | 0.600 | 0.060 | 0.3290
    Property | Value
    Name | sRGB IEC61966-2.1 (Linear)
    CIE standard illuminant | D65
    Opto-electronic transfer function (OETF) | \(C_{sRGB} = C_{linear}\)
    Electro-optical transfer function (EOTF) | \(C_{linear} = C_{sRGB}\)
    Range | \([0..1]\)

    sRGB

  - ### EXTENDED_SRGB

    public static final ColorSpace.Named EXTENDED_SRGB

    `RGB` color space scRGB-nl standardized as IEC 61966-2-2:2003.

    Chromaticity | Red | Green | Blue | White point
    --- | --- | --- | --- | ---
    x | 0.640 | 0.300 | 0.150 | 0.3127
    y | 0.330 | 0.600 | 0.060 | 0.3290
    Property | Value
    Name | scRGB-nl IEC 61966-2-2:2003
    CIE standard illuminant | D65
    Opto-electronic transfer function (OETF) | \(\begin{equation} C_{scRGB} = \begin{cases} sign(C_{linear}) 12.92 \times \left| C_{linear} \right| invalid input: '&' \left| C_{linear} \right| \lt 0.0031308 \\\ sign(C_{linear}) 1.055 \times \left| C_{linear} \right| ^{\frac{1}{2.4}} - 0.055 invalid input: '&' \left| C_{linear} \right| \ge 0.0031308 \end{cases} \end{equation}\)
    Electro-optical transfer function (EOTF) | \(\begin{equation} C_{linear} = \begin{cases}sign(C_{scRGB}) \frac{\left| C_{scRGB} \right|}{12.92} invalid input: '&' \left| C_{scRGB} \right| \lt 0.04045 \\\ sign(C_{scRGB}) \left( \frac{\left| C_{scRGB} \right| + 0.055}{1.055} \right) ^{2.4} invalid input: '&' \left| C_{scRGB} \right| \ge 0.04045 \end{cases} \end{equation}\)
    Range | \([-0.799..2.399[\)

    Extended sRGB (orange) vs sRGB (white)

  - ### LINEAR_EXTENDED_SRGB

    public static final ColorSpace.Named LINEAR_EXTENDED_SRGB

    `RGB` color space scRGB standardized as IEC 61966-2-2:2003.

    Chromaticity | Red | Green | Blue | White point
    --- | --- | --- | --- | ---
    x | 0.640 | 0.300 | 0.150 | 0.3127
    y | 0.330 | 0.600 | 0.060 | 0.3290
    Property | Value
    Name | scRGB IEC 61966-2-2:2003
    CIE standard illuminant | D65
    Opto-electronic transfer function (OETF) | \(C_{scRGB} = C_{linear}\)
    Electro-optical transfer function (EOTF) | \(C_{linear} = C_{scRGB}\)
    Range | \([-0.5..7.499[\)

    Extended sRGB (orange) vs sRGB (white)

  - ### BT709

    public static final ColorSpace.Named BT709

    `RGB` color space BT.709 standardized as Rec. ITU-R BT.709-5.

    Chromaticity | Red | Green | Blue | White point
    --- | --- | --- | --- | ---
    x | 0.640 | 0.300 | 0.150 | 0.3127
    y | 0.330 | 0.600 | 0.060 | 0.3290
    Property | Value
    Name | Rec. ITU-R BT.709-5
    CIE standard illuminant | D65
    Opto-electronic transfer function (OETF) | \(\begin{equation} C_{BT709} = \begin{cases} 4.5 \times C_{linear} invalid input: '&' C_{linear} \lt 0.018 \\\ 1.099 \times C_{linear}^{\frac{1}{2.2}} - 0.099 invalid input: '&' C_{linear} \ge 0.018 \end{cases} \end{equation}\)
    Electro-optical transfer function (EOTF) | \(\begin{equation} C_{linear} = \begin{cases}\frac{C_{BT709}}{4.5} invalid input: '&' C_{BT709} \lt 0.081 \\\ \left( \frac{C_{BT709} + 0.099}{1.099} \right) ^{2.2} invalid input: '&' C_{BT709} \ge 0.081 \end{cases} \end{equation}\)
    Range | \([0..1]\)

    BT.709

  - ### BT2020

    public static final ColorSpace.Named BT2020

    `RGB` color space BT.2020 standardized as Rec. ITU-R BT.2020-1.

    Chromaticity | Red | Green | Blue | White point
    --- | --- | --- | --- | ---
    x | 0.708 | 0.170 | 0.131 | 0.3127
    y | 0.292 | 0.797 | 0.046 | 0.3290
    Property | Value
    Name | Rec. ITU-R BT.2020-1
    CIE standard illuminant | D65
    Opto-electronic transfer function (OETF) | \(\begin{equation} C_{BT2020} = \begin{cases} 4.5 \times C_{linear} invalid input: '&' C_{linear} \lt 0.0181 \\\ 1.0993 \times C_{linear}^{\frac{1}{2.2}} - 0.0993 invalid input: '&' C_{linear} \ge 0.0181 \end{cases} \end{equation}\)
    Electro-optical transfer function (EOTF) | \(\begin{equation} C_{linear} = \begin{cases}\frac{C_{BT2020}}{4.5} invalid input: '&' C_{BT2020} \lt 0.08145 \\\ \left( \frac{C_{BT2020} + 0.0993}{1.0993} \right) ^{2.2} invalid input: '&' C_{BT2020} \ge 0.08145 \end{cases} \end{equation}\)
    Range | \([0..1]\)

    BT.2020 (orange) vs sRGB (white)

  - ### DCI_P3

    public static final ColorSpace.Named DCI_P3

    `RGB` color space DCI-P3 standardized as SMPTE RP 431-2-2007.

    Chromaticity | Red | Green | Blue | White point
    --- | --- | --- | --- | ---
    x | 0.680 | 0.265 | 0.150 | 0.314
    y | 0.320 | 0.690 | 0.060 | 0.351
    Property | Value
    Name | SMPTE RP 431-2-2007 DCI (P3)
    CIE standard illuminant | N/A
    Opto-electronic transfer function (OETF) | \(C_{P3} = C_{linear}^{\frac{1}{2.6}}\)
    Electro-optical transfer function (EOTF) | \(C_{linear} = C_{P3}^{2.6}\)
    Range | \([0..1]\)

    DCI-P3 (orange) vs sRGB (white)

  - ### DISPLAY_P3

    public static final ColorSpace.Named DISPLAY_P3

    `RGB` color space Display P3 based on SMPTE RP 431-2-2007 and IEC 61966-2.1:1999.

    Chromaticity | Red | Green | Blue | White point
    --- | --- | --- | --- | ---
    x | 0.680 | 0.265 | 0.150 | 0.3127
    y | 0.320 | 0.690 | 0.060 | 0.3290
    Property | Value
    Name | Display P3
    CIE standard illuminant | D65
    Opto-electronic transfer function (OETF) | \(\begin{equation} C_{DisplayP3} = \begin{cases} 12.92 \times C_{linear} invalid input: '&' C_{linear} \lt 0.0030186 \\\ 1.055 \times C_{linear}^{\frac{1}{2.4}} - 0.055 invalid input: '&' C_{linear} \ge 0.0030186 \end{cases} \end{equation}\)
    Electro-optical transfer function (EOTF) | \(\begin{equation} C_{linear} = \begin{cases}\frac{C_{DisplayP3}}{12.92} invalid input: '&' C_{sRGB} \lt 0.04045 \\\ \left( \frac{C_{DisplayP3} + 0.055}{1.055} \right) ^{2.4} invalid input: '&' C_{sRGB} \ge 0.04045 \end{cases} \end{equation}\)
    Range | \([0..1]\)

    Display P3 (orange) vs sRGB (white)

  - ### NTSC_1953

    public static final ColorSpace.Named NTSC_1953

    `RGB` color space NTSC, 1953 standard.

    Chromaticity | Red | Green | Blue | White point
    --- | --- | --- | --- | ---
    x | 0.67 | 0.21 | 0.14 | 0.310
    y | 0.33 | 0.71 | 0.08 | 0.316
    Property | Value
    Name | NTSC (1953)
    CIE standard illuminant | C
    Opto-electronic transfer function (OETF) | \(\begin{equation} C_{BT709} = \begin{cases} 4.5 \times C_{linear} invalid input: '&' C_{linear} \lt 0.018 \\\ 1.099 \times C_{linear}^{\frac{1}{2.2}} - 0.099 invalid input: '&' C_{linear} \ge 0.018 \end{cases} \end{equation}\)
    Electro-optical transfer function (EOTF) | \(\begin{equation} C_{linear} = \begin{cases}\frac{C_{BT709}}{4.5} invalid input: '&' C_{BT709} \lt 0.081 \\\ \left( \frac{C_{BT709} + 0.099}{1.099} \right) ^{2.2} invalid input: '&' C_{BT709} \ge 0.081 \end{cases} \end{equation}\)
    Range | \([0..1]\)

    NTSC 1953 (orange) vs sRGB (white)

  - ### SMPTE_C

    public static final ColorSpace.Named SMPTE_C

    `RGB` color space SMPTE C.

    Chromaticity | Red | Green | Blue | White point
    --- | --- | --- | --- | ---
    x | 0.630 | 0.310 | 0.155 | 0.3127
    y | 0.340 | 0.595 | 0.070 | 0.3290
    Property | Value
    Name | SMPTE-C RGB
    CIE standard illuminant | D65
    Opto-electronic transfer function (OETF) | \(\begin{equation} C_{BT709} = \begin{cases} 4.5 \times C_{linear} invalid input: '&' C_{linear} \lt 0.018 \\\ 1.099 \times C_{linear}^{\frac{1}{2.2}} - 0.099 invalid input: '&' C_{linear} \ge 0.018 \end{cases} \end{equation}\)
    Electro-optical transfer function (EOTF) | \(\begin{equation} C_{linear} = \begin{cases}\frac{C_{BT709}}{4.5} invalid input: '&' C_{BT709} \lt 0.081 \\\ \left( \frac{C_{BT709} + 0.099}{1.099} \right) ^{2.2} invalid input: '&' C_{BT709} \ge 0.081 \end{cases} \end{equation}\)
    Range | \([0..1]\)

    SMPTE-C (orange) vs sRGB (white)

  - ### ADOBE_RGB

    public static final ColorSpace.Named ADOBE_RGB

    `RGB` color space Adobe RGB (1998).

    Chromaticity | Red | Green | Blue | White point
    --- | --- | --- | --- | ---
    x | 0.64 | 0.21 | 0.15 | 0.3127
    y | 0.33 | 0.71 | 0.06 | 0.3290
    Property | Value
    Name | Adobe RGB (1998)
    CIE standard illuminant | D65
    Opto-electronic transfer function (OETF) | \(C_{RGB} = C_{linear}^{\frac{1}{2.2}}\)
    Electro-optical transfer function (EOTF) | \(C_{linear} = C_{RGB}^{2.2}\)
    Range | \([0..1]\)

    Adobe RGB (orange) vs sRGB (white)

  - ### PRO_PHOTO_RGB

    public static final ColorSpace.Named PRO_PHOTO_RGB

    `RGB` color space ProPhoto RGB standardized as ROMM RGB ISO 22028-2:2013.

    Chromaticity | Red | Green | Blue | White point
    --- | --- | --- | --- | ---
    x | 0.7347 | 0.1596 | 0.0366 | 0.3457
    y | 0.2653 | 0.8404 | 0.0001 | 0.3585
    Property | Value
    Name | ROMM RGB ISO 22028-2:2013
    CIE standard illuminant | D50
    Opto-electronic transfer function (OETF) | \(\begin{equation} C_{ROMM} = \begin{cases} 16 \times C_{linear} invalid input: '&' C_{linear} \lt 0.001953 \\\ C_{linear}^{\frac{1}{1.8}} invalid input: '&' C_{linear} \ge 0.001953 \end{cases} \end{equation}\)
    Electro-optical transfer function (EOTF) | \(\begin{equation} C_{linear} = \begin{cases}\frac{C_{ROMM}}{16} invalid input: '&' C_{ROMM} \lt 0.031248 \\\ C_{ROMM}^{1.8} invalid input: '&' C_{ROMM} \ge 0.031248 \end{cases} \end{equation}\)
    Range | \([0..1]\)

    ProPhoto RGB (orange) vs sRGB (white)

  - ### ACES

    public static final ColorSpace.Named ACES

    `RGB` color space ACES standardized as SMPTE ST 2065-1:2012.

    Chromaticity | Red | Green | Blue | White point
    --- | --- | --- | --- | ---
    x | 0.73470 | 0.00000 | 0.00010 | 0.32168
    y | 0.26530 | 1.00000 | -0.07700 | 0.33767
    Property | Value
    Name | SMPTE ST 2065-1:2012 ACES
    CIE standard illuminant | D60
    Opto-electronic transfer function (OETF) | \(C_{ACES} = C_{linear}\)
    Electro-optical transfer function (EOTF) | \(C_{linear} = C_{ACES}\)
    Range | \([-65504.0, 65504.0]\)

    ACES (orange) vs sRGB (white)

  - ### ACESCG

    public static final ColorSpace.Named ACESCG

    `RGB` color space ACEScg standardized as Academy S-2014-004.

    Chromaticity | Red | Green | Blue | White point
    --- | --- | --- | --- | ---
    x | 0.713 | 0.165 | 0.128 | 0.32168
    y | 0.293 | 0.830 | 0.044 | 0.33767
    Property | Value
    Name | Academy S-2014-004 ACEScg
    CIE standard illuminant | D60
    Opto-electronic transfer function (OETF) | \(C_{ACEScg} = C_{linear}\)
    Electro-optical transfer function (EOTF) | \(C_{linear} = C_{ACEScg}\)
    Range | \([-65504.0, 65504.0]\)

    ACEScg (orange) vs sRGB (white)

  - ### CIE_XYZ

    public static final ColorSpace.Named CIE_XYZ

    `XYZ` color space CIE XYZ. This color space assumes standard illuminant D50 as its white point.

    Property | Value
    --- | ---
    Name | Generic XYZ
    CIE standard illuminant | D50
    Range | \([-2.0, 2.0]\)

  - ### CIE_LAB

    public static final ColorSpace.Named CIE_LAB

    `Lab` color space CIE L*a*b*. This color space uses CIE XYZ D50 as a profile conversion space.

    Property | Value
    --- | ---
    Name | Generic L*a*b*
    CIE standard illuminant | D50
    Range | \(L: [0.0, 100.0], a: [-128, 128], b: [-128, 128]\)

- ## Method Details

  - ### values

    public static ColorSpace.Named[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ColorSpace.Named valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null